/**************************************************
*  FILE:  bolt.h		                          *
*  AUTHOR:  Steven Silvey                         *
*  DATE:  7/25/2006                               *
*                                                 *
*  Used to draw one line of a lightning bolt.     *
**************************************************/

#ifndef _BOLT_H_
#define _BOLT_H_

#include "game.h"
typedef class games GAMES;
enum DIR{NO_DIR = 0, UPRIGHT, DOWNRIGHT, UPLEFT, DOWNLEFT};

class SINGLE_BOLT
{
public:
	SINGLE_BOLT();
	~SINGLE_BOLT();

	void update();
	void destroy();
	void draw(BITMAP *bDisplay);
	void setup(float X1, float Y1, int X2, int Y2, DIR dDir, int col, int speed);
	bool complete();

	DIR dDirection;

	float cx, cy;
private:
	float x1, x2;
	float y1, y2;
	
	int update_timer;
	int iColor;
	int angle;
	int iSpeed;

	bool alive;

	

	void init();
};

#endif /* End of _BOLT_H_ */

